# Interface ExecSpec

All Superinterfaces:
  `BaseExecSpec, ProcessForkOptions`

All Known Implementing Classes:
  `AbstractExecTask, Exec, RunTestExecutable`

public interface ExecSpec extends BaseExecSpec
Specified the options for executing some command.

## Method Summary

Modifier and Type
Method
Description
`ExecSpec`
`args(Iterable<?> args)`
Adds arguments for the command to be executed.
`ExecSpec`
`args(Object... args)`
Adds arguments for the command to be executed.
`ExecSpec`
`commandLine(Iterable<?> args)`
Sets the full command line, including the executable to be executed plus its arguments.
`ExecSpec`
`commandLine(Object... args)`
Sets the full command line, including the executable to be executed plus its arguments.
`List<String>`
`getArgs()`
Returns the arguments for the command to be executed.
`ExecSpec`
`setArgs(Iterable<?> args)`
Sets the arguments for the command to be executed.
`ExecSpec`
`setArgs(List<String> args)`
Sets the arguments for the command to be executed.
`void`
`setCommandLine(Iterable<?> args)`
Sets the full command line, including the executable to be executed plus its arguments.
`void`
`setCommandLine(Object... args)`
Sets the full command line, including the executable to be executed plus its arguments.
`void`
`setCommandLine(List<String> args)`
Sets the full command line, including the executable to be executed plus its arguments.

### Methods inherited from interface BaseExecSpec

`getCommandLine, getErrorOutput, getStandardInput, getStandardOutput, isIgnoreExitValue, setErrorOutput, setIgnoreExitValue, setStandardInput, setStandardOutput`

### Methods inherited from interface ProcessForkOptions

`copyTo, environment, environment, executable, getEnvironment, getExecutable, getWorkingDir, setEnvironment, setExecutable, setExecutable, setWorkingDir, setWorkingDir, workingDir`

## Method Details

### setCommandLine

void setCommandLine(List<String> args)
Sets the full command line, including the executable to be executed plus its arguments.

Parameters:
  `args` - the command plus the args to be executed
Since:
  4.0

### setCommandLine

void setCommandLine(Object... args)
Sets the full command line, including the executable to be executed plus its arguments.

Parameters:
  `args` - the command plus the args to be executed

### setCommandLine

void setCommandLine(Iterable<?> args)
Sets the full command line, including the executable to be executed plus its arguments.

Parameters:
  `args` - the command plus the args to be executed

### commandLine

ExecSpec commandLine(Object... args)
Sets the full command line, including the executable to be executed plus its arguments.

Parameters:
  `args` - the command plus the args to be executed
Returns:
  this

### commandLine

ExecSpec commandLine(Iterable<?> args)
Sets the full command line, including the executable to be executed plus its arguments.

Parameters:
  `args` - the command plus the args to be executed
Returns:
  this

### args

ExecSpec args(Object... args)
Adds arguments for the command to be executed.

Parameters:
  `args` - args for the command
Returns:
  this

### args

ExecSpec args(Iterable<?> args)
Adds arguments for the command to be executed.

Parameters:
  `args` - args for the command
Returns:
  this

### setArgs

ExecSpec setArgs(List<String> args)
Sets the arguments for the command to be executed.

Parameters:
  `args` - args for the command
Returns:
  this
Since:
  4.0

### setArgs

ExecSpec setArgs(Iterable<?> args)
Sets the arguments for the command to be executed.

Parameters:
  `args` - args for the command
Returns:
  this

### getArgs

List<String> getArgs()
Returns the arguments for the command to be executed. Defaults to an empty list.